Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157241 - [RHEL4-U3] PCI Hotplug - Slot powered off after enabling
Summary: [RHEL4-U3] PCI Hotplug - Slot powered off after enabling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Keiichiro Tokunaga
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-05-09 18:17 UTC by David Milburn
Modified: 2018-10-19 19:03 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 19:00:31 UTC


Attachments (Terms of Use)
Maintainer's patch recreated with gendiff (deleted)
2005-05-09 18:19 UTC, David Milburn
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description David Milburn 2005-05-09 18:17:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
On the Fujitsu Primequest, echoing "1" to the "power" file of
an already-enabled slot will actually disable the slot. Fujitsu
has discussed this with the maintainer of the SHPC driver
(Dely L. Sy) who had developed a patch to correct the problem.
Fujitsu has verified the fix and would like it to be included 
in RHEL4.

Version-Release number of selected component (if applicable):
kernel-2.6.9-5.0.3.EL

How reproducible:
Always

Steps to Reproduce:
1.Echo "1" to /sys/bus/pci/slots/X/power of an already enabled slot.
2.
3.
  

Actual Results:  The slot was powered off.

Expected Results:  Slot should not be powered off.

Additional info:

I didn't have access to hardware with a SHPC based PCI hotplug slot;
but, I did recreate the patch with gendiff and verify that it could
be applied to kernel-2.6.9-5.0.3.EL and compiled. The patch primarily
changes return values in shpchp_enable_slot() and shpchp_disable_slot().

Comment 1 David Milburn 2005-05-09 18:19:40 UTC
Created attachment 114172 [details]
Maintainer's patch recreated with gendiff

Comment 5 Keiichiro Tokunaga 2005-10-04 17:28:58 UTC
I have backported the maintainer's patch to the latest RHEL4 kernel and posted 
it to rhkernel-list yesterday.

Comment 6 Keiichiro Tokunaga 2005-10-07 21:36:34 UTC
I got an ACK in rhkernel-list today.

Comment 8 Keiichiro Tokunaga 2005-10-20 18:11:14 UTC
Here is an additional information.

I got another Ack in rhkernel-list the other day, so now there are
2 Acks from engineers.

By the way, here is an information about the patch and the testing
that I have done.  I have mentioned about them in rhkernel-list, but
it seems that I haven't mentioned much about them here.  A fix patch
for this problem, which the maintainer has created, has already been
in the mainstream.  I have backported it to the latest kernel of
RHEL4 and done test on a ia64 machine that has hotplug PCI slots.
Here is the results of the test.

  [root@primeq1 ~]# cat  /sys/bus/pci/slots/19/power
  1
  [root@primeq1 ~]# echo 1 >  /sys/bus/pci/slots/19/power
  [root@primeq1 ~]# cat  /sys/bus/pci/slots/19/power
  1
  [root@primeq1 ~]# cat /var/log/messages | tail -2
  Sep 30 10:52:18 primeq1 ntpd[4949]: kernel time sync disabled 0041
  Sep 30 10:52:49 primeq1 kernel: shpchp: shpchp_enable_slot: already enabled 
on slot(13)

Comment 15 Red Hat Bugzilla 2006-03-07 19:00:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.